org.apache.lucene.search.spans

## Class SpanTermQuery.SpanTermWeight

- java.lang.Object
- - org.apache.lucene.search.Weight
  - - org.apache.lucene.search.spans.SpanWeight
    - - org.apache.lucene.search.spans.SpanTermQuery.SpanTermWeight

- Enclosing class:
    SpanTermQuery

      public class SpanTermQuery.SpanTermWeight
      extends SpanWeight

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.spans.SpanWeight

      `SpanWeight.Postings`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.Weight

      `Weight.DefaultBulkScorer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.spans.SpanWeight

      `field, similarity, simWeight`

    - ### Fields inherited from class org.apache.lucene.search.Weight

      `parentQuery`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpanTermWeight(TermContext termContext, IndexSearcher searcher, Map<Term,TermContext> terms)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `extractTermContexts(Map<Term,TermContext> contexts)` Collect all TermContexts used by this Weight
    `void` | `extractTerms(Set<Term> terms)` Expert: adds all terms occurring in this query to the terms set.
    `Spans` | `getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)` Expert: Return a Spans object iterating over matches from this Weight

    - ### Methods inherited from class org.apache.lucene.search.spans.SpanWeight

      `explain, getSimScorer, getValueForNormalization, normalize, scorer`

    - ### Methods inherited from class org.apache.lucene.search.Weight

      `bulkScorer, getQuery, scorerSupplier`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpanTermWeight

          public SpanTermWeight(TermContext termContext,
                                IndexSearcher searcher,
                                Map<Term,TermContext> terms)
                         throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### extractTerms

          public void extractTerms(Set<Term> terms)

      Description copied from class: `Weight`
      Expert: adds all terms occurring in this query to the terms set. If the `Weight` was created with `needsScores == true` then this method will only extract terms which are used for scoring, otherwise it will extract all terms which are used for matching.
      Specified by:
        `extractTerms` in class `Weight`

    - #### extractTermContexts

          public void extractTermContexts(Map<Term,TermContext> contexts)

      Description copied from class: `SpanWeight`
      Collect all TermContexts used by this Weight
      Specified by:
        `extractTermContexts` in class `SpanWeight`
      Parameters:
        `contexts` - a map to add the TermContexts to

    - #### getSpans

          public Spans getSpans(LeafReaderContext context,
                                SpanWeight.Postings requiredPostings)
                         throws IOException

      Description copied from class: `SpanWeight`
      Expert: Return a Spans object iterating over matches from this Weight
      Specified by:
        `getSpans` in class `SpanWeight`
      Parameters:
        `context` - a LeafReaderContext for this Spans
      Returns:
        a Spans
      Throws:
        `IOException` - on error

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.